Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface InstructionTargeter

All Known Implementing Classes:
  BranchInstruction, CodeExceptionGen, LineNumberGen, LocalVariableGen

public interface InstructionTargeter

Denote that a class targets InstructionHandles within an InstructionList. Namely the following implementers:

Version:
  $Id: InstructionTargeter.java,v 1.1.1.1 2001/10/29 20:00:20 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  `BranchHandle`, `LocalVariableGen`, `CodeExceptionGen`

Method Summary
`boolean` | `containsTarget(InstructionHandle ih)`
`void` | `updateTarget(InstructionHandle old_ih, InstructionHandle new_ih)`

Method Detail

### containsTarget

    public boolean containsTarget(InstructionHandle ih)

### updateTarget

    public void updateTarget(InstructionHandle old_ih,
                             InstructionHandle new_ih)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.